APIRules

Validate MCP call condition

Validate a CEL condition against the MCP call schema.

POST
/rules/scopes/mcp-call/conditions/validate

Validate a CEL condition against the MCP call schema.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

No permission required.

Request Body

application/json
  1. body
expression*string

CEL expression to validate

Length1 <= length

Response Body

The request has succeeded.

application/json
  1. response
valid*boolean

Whether the expression is valid

error?string

Human-readable error message if invalid

position?integer

Character offset of the error in the expression

Formatint32
curl -X POST "https://example.com/rules/scopes/mcp-call/conditions/validate" \  -H "Content-Type: application/json" \  -d '{    "expression": "string"  }'
{  "valid": true,  "error": "string",  "position": 0}